Remove accounts from an invoice group. Removing all accounts will also delete the invoice group
curl --request POST \
--url https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountIds": [
"ACC0001",
"ACC0002"
]
}
'import requests
url = "https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts"
payload = { "accountIds": ["ACC0001", "ACC0002"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountIds: ['ACC0001', 'ACC0002']})
};
fetch('https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountIds' => [
'ACC0001',
'ACC0002'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts"
payload := strings.NewReader("{\n \"accountIds\": [\n \"ACC0001\",\n \"ACC0002\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountIds\": [\n \"ACC0001\",\n \"ACC0002\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountIds\": [\n \"ACC0001\",\n \"ACC0002\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}InvoiceGroups
Remove accounts from an invoice group. Removing all accounts will also delete the invoice group
This API let’s you to remove accounts from an invoice group. Removing all accounts will also delete the invoice group
POST
/
invoice_groups
/
{invoice_group_id}
/
remove_accounts
Remove accounts from an invoice group. Removing all accounts will also delete the invoice group
curl --request POST \
--url https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountIds": [
"ACC0001",
"ACC0002"
]
}
'import requests
url = "https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts"
payload = { "accountIds": ["ACC0001", "ACC0002"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountIds: ['ACC0001', 'ACC0002']})
};
fetch('https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountIds' => [
'ACC0001',
'ACC0002'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts"
payload := strings.NewReader("{\n \"accountIds\": [\n \"ACC0001\",\n \"ACC0002\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountIds\": [\n \"ACC0001\",\n \"ACC0002\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.togai.com/invoice_groups/{invoice_group_id}/remove_accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountIds\": [\n \"ACC0001\",\n \"ACC0002\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}Authorizations
Path Parameters
Body
application/json
Payload to add or remove accounts to/from an invoice group
